# Scoby
Scoby is a tool for quickly generating a Rails application preconfigured with
the tools commonly used by Brickbutton. It owes a _huge_ debt to thoughtbot's
[Suspenders](https://github.com/thoughtbot/suspenders).

## Installation

First install Scoby:

    gem install scoby

Then run:

    scoby projectname

This will create a Rails app in `projectname` using the latest version of Rails.

## Gemfile
The gems listed in [Gemfile](templates/Gemfile.erb), will be appended to the default
generated projectname/Gemfile.

### Application gems:
* [pg](https://bitbucket.org/ged/ruby-pg/wiki/Home) for our Postgres Database
* [sass-rails](https://github.com/rails/sass-rails) for SCSS stylesheets
* [uglifier](https://github.com/lautis/uglifier) for JS compression
* [jquery-rails](https://github.com/rails/jquery-rails) for jQuery
* [lodash-rails](https://github.com/rh/lodash-rails) for lodash
* [Flutie](https://github.com/thoughtbot/flutie) for `page_title` and `body_class` view helpers
* [New Relic RPM](https://github.com/newrelic/rpm) for monitoring performance
* [therubyracer](https://github.com/cowboyd/therubyracer) eval Javascript within Ruby
* [react-rails](https://github.com/reactjs/react-rails) for React
* [jbuilder](https://github.com/rails/jbuilder) for declaring JSON structures

### Development Gems:
* [Annotate](https://github.com/ctran/annotate_models) for annotating models

### Testing Gems:
* [shoulda-matchers](https://github.com/thoughtbot/shoulda-matchers)
  [database_cleaner](https://github.com/DatabaseCleaner/database_cleaner)
* [spring-commands-rspec](https://github.com/jonleighton/spring-commands-rspec)
* [recursive-open-struct](https://github.com/aetherknight/recursive-open-struct)
* [webmock](https://github.com/bblimke/webmock)
* [vcr](https://github.com/vcr/vcr)
* [fuubar](https://github.com/thekompanee/fuubar)
* [factory-girl-rails](https://github.com/thoughtbot/factory_girl)
* [faker](https://github.com/stympy/faker)
* [simplecov](https://github.com/colszowka/simplecov)

### Development & Test:
* [rspec-rails](https://github.com/rspec/rspec-rails)
* [dotenv-rails](https://github.com/bkeepers/dotenv)
* [spring](https://github.com/rails/spring)
* [byebug](https://github.com/deivid-rodriguez/byebug)
* [timecop](https://github.com/travisjeffery/timecop)
* [rubocop](https://github.com/bbatsov/rubocop)
* [pronto](https://github.com/mmozuras/pronto)
* [pronto-rubocop](https://github.com/mmozuras/pronto-rubocop)
* [brakeman](https://github.com/presidentbeef/brakeman)
* [pronto-brakeman](https://github.com/mmozuras/pronto-brakeman)

### Production:
* [puma](https://github.com/puma/puma)
* [rails_12factor](https://github.com/heroku/rails_12factor)
