# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)
require 'scoby/version'
require 'date'

Gem::Specification.new do |s|
  s.required_ruby_version = ">= #{Scoby::RUBY_VERSION}"
  s.authors = ["Brickbutton Engineering"]
  s.date = Date.today.strftime('%Y-%m-%d')

  s.description = <<-HERE
Scoby is a tool for quickly generating a Rails application preconfigured with
the tools commonly used by Brickbutton. It owes a huge debt to thoughtbot's
Suspenders.
  HERE

  s.email = 'brickbutton@aol.com'
  s.executables = ['scoby']
  s.extra_rdoc_files = %w[README.md]
  s.files = `git ls-files`.split("\n")
  s.homepage = 'https://github.com/brickbutton/scoby'
  s.license = 'MIT'
  s.name = 'scoby'
  s.rdoc_options = ['--charset=UTF-8']
  s.require_paths = ['lib']
  s.summary = "Generate a Rails app using Brickbutton's best practices."
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.version = Scoby::VERSION

  s.add_dependency 'bundler', '~> 1.3'
  s.add_dependency 'rake'
  s.add_dependency 'rails', Scoby::RAILS_VERSION

  s.add_development_dependency 'rspec', '~> 3.2'
end
